Một số Lệnh tắt, những lệnh hay trong Autocad

Thảo luận trong 'Kỹ thuật thi công' bắt đầu bởi admin, 1/5/17.

Loading...
--->>> Theo Dõi Bài Viết Trên G+ nhé !--->>>
  1. admin Administrator

    10,591 lượt xem
    Để tránh phải gõ đầy đủ tên lệnh, AutoCAD cho phép người sử dụng dùng tên rút gọn cho các lệnh. Định nghĩa tên rút gọn được trong file acad.pgp (Program Parameters) trên thư mục support.
    Thư mục support tuỳ theo từng đời CAD, sẽ nằm ở vị trí khác nhau. Để biết thư mục support nằm ở đâu, dùng lệnh ACADPREFIX, xem trong các đường dẫn được khai báo, đường dẫn nào chứa thư mục support.
    acad.pgp là một file text chứa định nghĩa hàm. Trong đó, một định nghĩa hàm có cấu trúc: 'TENRUTGON, *TENDAYDU' và nằm trên một dòng. Khai báo tên rút gọn của lệnh bằng cách sửa file acad.pgp nằm trong thư mục support. Sau khi khai báo, tên lệnh rút gọn không có hiệu lực ngay, bạn phải sử dụng lệnh REINIT rồi check vào ô PGP File hoặc khởi động lại ACAD.
    Tên lệnh rút gọn chỉ nên đặt trong các ký tự: Q, W, E, R, T, A, S, D, F, G, Z, X, C, V, B là các ký tự tay trái nhấn được mà không cần nhìn bàn phím. Cũng không nên đặt tên lệnh tắt tạo thành tiếng việt khi sử dụng bộ gõ VD: AA, ER, ...
    Một cách khác để có thể đặt được tên lệnh rút gọn là định nghĩa tên hàm bằng Lisp với cấu trúc: (defun c:TENRUTGON() (command "TENDAYDU")).
    Với mỗi cách khai tên rút ngắn của lệnh có ưu và nhược khác nhau. Theo cách định nghĩa trong file PGP thì mọi tên hàm đều có thể định nghĩa được nhưng theo cách định nghĩa lisp (như trên) chỉ có những lệnh thông thường là dùng được, những lệnh dùng DLL bên ngoài không dùng được (như ALIGN, REGION, RENDER, ...). Nhưng định nghĩa theo kiểu Lisp lại có ưu điểm mà PGP không theo được đó là cho thông số vào lệnh. Ví dụ: bạn muốn tạo một lệnh zoom scale 0.8 (zoom out) thì bạn sẽ khai báo như sau: (defun c:zz() (command "zoom" "0.8x")).


    +++ File acad.pgp thông thường tạiđường dẫn sau: C:\Documents and Settings\USENAME\Application Data\Autodesk\AutoCAD 2008\R17.1\enu\Support.

    hoặc :

    +++ Vào tools -> Customize -> edit program parameters (acad.pgp), tiến hành đổi lệnh

    +++ Cách khác để tạo các lệnh gõ tắt nhanh hơn và có thể làm tất các các lệnh tắt có trong Atocad (những lệnh đã làm chưa gặp trục trặc). cách làm: vào thẻ Express\Tools\command Alias Editor : vào thẻ command Aliases chọn Add, tại dòng Alias bạn gõ phím tắt tùy thích, tại dòng Autocad command --> chọn lệnh trong Acad mà bạn muốn tạo lệnh gõ tắt


    1. Chỉnh phím tắt cad

    a. Tool / customize / edit program parameters (acad.pgp)

    b. Đổi phím tắt xong đóng bảng dùng lệnh renit / enter / kiểm chọn vào ô PGP / ok

    2. Làm kích thước không bị dịch chuyển

    a. Dda / enter / chọn hết đối tượng kích thước / enter

    3. Làm vòng tròn lại : re / enter

    4. Chỉnh ma số liệu: ed / enter

    5. Chia cạnh : di / enter

    6. Chỉnh bản vẽ bên layout :

    a. Mv / enter / vẽ một rectangle bên layout

    b. Chỉnh tỉ lệ : z / enter / 1/100xp (nếu bản vẽ là tỉ lệ 1/100 ) / enter

    c. Khóa lại khung mv để bản vẽ không bị dịch chuyển : mv / enter / L / on (lock) / off (open)

    7. Scale tỉ lệ chung :

    a. Sc / enter / chọn vùng đối tượng / enter / chọn click một điểm / enter / R / enter / nhập tỉ lệ có sẵn (VD: 1/20) / enter / nhập tỉ lệ muốn chuyển (VD: 1/10) / enter

    8. Điều chỉnh kích thước cho đúng theo scale :

    a. Primary units , Dim units

    b. Nhập 10 (ban đầu là 20)

    c. Hoặc VD : nếu tăng lên 3 lần, kích thước là 5 thì nhập là 5/15

    9. Chỉnh kích thước khớp vô một kích thước mới :

    a. Align / enter / chọn đối tượng cẩn chuyển kích thước / enter / chọn 2 điểm của một cạnh đối tượng vào một cạnh mới

    10. Chỉnh style point :

    a. Format / point style

    11. Đưa đối tượng lên trên bề mặt :

    a. Wipeout / enter / vẽ viền kín xung quanh đối tượng hoặc chọn đối tượng, nhập chữ F / enter / chọn đối tượng

    12. Làm liền đối tượng :

    a. Pe / enter / chọn đối tượng theo một chiều kế tiếp nhau

    13. Làm block chỉnh được chữ ở ngoài :

    a. Att / enter / tạo chữ, vẽ hình kí hiệu mình muốn làm (simpol) , chọn 2 đối tượng chữ và hình tạo thành block bằng lệnh B / enter / tạo tên block , chọn điểm chính khi cầm di chuyển block

    14. Xref :

    a. Xr / enter / them 1 file cad khác (vd như mặt bằng kiến trúc )

    b. Reload / bind để tạo thành một đối tượng để không mất khi di chuyển , hoặc copy

    c. Xclip : chọn đối tượng tham chiếu ( chỉ muốn thấy một phần nhỏ trong mặt bằng lớn ) / enter / click kéo một rectangle chọn đối tượng cần dùng (=mv trong layout)

    d. Xclip : xài cho block được : chọn đối tượng, new : chọn polygone

    15. Chỉnh block vẫn thấy đối tượng khác :

    a. Refedit / enter (lệnh này sẽ làm thay đổi cả file xref chính)

    b. Layiso / enter / sau khi điều chỉnh xong, muốn quay lại dùng lệnh layuniso / enter (chú ý không được đánh lệnh layiso 2 lần khi đã chọn đối tượng, sẽ ko layuniso lại được )

    16. Xoay trong MV :

    a. Dv / enter / TW / enter / nhập góc xoay / enter / double enter để thoát lệnh

    17. Hồi lại tỉ lệ cũ :

    a. VD: đang ở tỉ lệ 1/50 muốn quay về tỉ lệ 1/100 : sc / enter / chọn đối tượng / enter / R / enter / click chọn một điểm trên đối tượng / 1/50 / enter / 1/100 / enter

    18. Trim dim :

    a. cd / enter (phải download file lệnh cắt dim)

    b. load lệnh : ap / enter

    19. Lệnh bị đổi ngược : phải đánh lệnh trước khi chọn đối tượng :

    a. Đổi ngược lại bằng cách nhập lệnh : pickfirst / enter / đánh giá trị = 1 / enter

    20. Làm đám mây : (cloud)

    a. Revcloud / enter / a / enter / nhập số vòng cung to nhỏ của đám mây / nhập số lại số vừa chọn (để làm vòng to hoặc nhỏ) / nếu muốn một cạnh của đường con nhỏ một đầu to thì chọn style/ o / enter để chọn đối tượng muốn làm thành đám mây

    21. Đổi tất cả đối tượng trong blog :

    a. Bedit / enter / chỉnh sửa xong trong block, các block khác không hiểu , dùng tiếp lệnh batman / enter / chọn tên đối tượng hoặc click chọn trực tiếp lên đối tượng / click chọn bảng SYNC / ok

    22. Chỉnh toàn bộ chữ :

    a. St / enter / chọn kiểu chữ / width factor (chỉnh độ dày, độ gần của chữ)

    23. Vẽ đường leader để ghi chú:

    a. Leader / enter / vẽ như mình muốn / click phải chọn kết thúc (none) hoặc enter 3 lần để thoát lệnh

    24. Supper hatch : hatch ngoài bỏ vô trong cad

    a. Vô ỏ C / auto cad / support / copy file hatch mới / paste (phải tắt cad rồi mở lại mới hiểu lệnh)

    b. Mở cad / nhập lệnh H / enter / custome / lấy nét hatch mới

    25. In một lúc nhiều trang :

    a. Ap / enter / applief : load 2 MPlot. Vlx

    b. Mpl / enter / chọn in theo khung frame sẵn đã tạo block , theo name , hoặc theo rectangle

    26. Tạo hình tròn có độ dày :

    a. Do / enter / nhập bán kính ngoài hoặc nhập bán kính trong / enter

    27. Pl / enter / pont / a

    28. Nét đứt đều thể hiện ở cả model và layout giống nhau :

    a. Format / line type / show detail : check kiểm chọn Use paper a pace unit for scaling / Gobal scale : 1.000 / Current object : 3.000

    b. Đánh lệnh re / enter

    c. Qua layout : nhập lệnh Psltscale / enter / nhập 0

    d. Vào view / regen all

    29. Làm skirting & wall bằng đường // :

    a. ML / enter / j : top / enter / s : 1 ( độ cách xa của 2 đường // ) / enter / st : skirting

    30. Mất thanh menu , cách lấy lại :

    a. Op / enter / tìm tab Projile / click reset / ok

    31. Làm mất dòng “ product by an autodesk educational product” :

    a. Mở file cad bị dòng chữ trên : nhập lệnh audit / enter / Y / enter

    b. Purge / enter / kiểm chọn vào ô có dòng Purge nested items / ok

    c. Save lại 1 file mới với đuôi .dfx

    d. Đóng file cũ và không format

    e. Mở file mới đuôi .dfx / save lại với file .dwg

    32. Hiệu chỉnh và cập nhật các hiệu chỉnh cho Block Attribute

    Không thể click đúp để hiệu chỉnh block

    Để hiệu chỉnh Block Attribute, thay vì click đúp như các block thông thường, bạn cần gõ lệnh BEDIT và tìm tên block trong danh sách các block để chọn và hiệu chỉnh

    Text style của các Text Attribute cần được cập nhật bằng lệnh ATTSYNC

    Khi bạn hiệu chỉnh Text Style (hiểu chữ, chiều rộng chữ v.v..) của các Text thuộc tính trong Block (bằng lệnh BEDIT), và muốn cập nhật các thay đổi này cho tất cả các block con trong bản vẽ, bạn cần gõ lệnh ATTSYNC, chọn chế độ Select, và chọn một trong số các block con nằm trong loại block mà bạn đã hiệu chỉnh, Text Style sẽ được cập nhật cho tất cả các block con.
  2. admin

    admin Administrator Thành viên BQT

    Mẹo chọn đối tượng
    Bạn đang cần chọn một đối tượng nằm ở phía dưới một đối tượng khác, bạn làm như thế nào? có một cách rất đơn giản: khi chọn bạn nhấn thêm ctr, pick 1 lần nếu trúng rồi thì thôi, nếu chưa trúng thì pick thêm lần nữa nó sẽ chọn xoay vòng các đối tượng nằm tại 1 vị trí cho đến lúc đối tượng bạn chọn là thì bạn nhấn phím space (enter hoặc phải chuột).

    Bạn đang bật một lúc nhiều lựa chọn osnap, vì thế khi bạn di chuột đến gần đối tượng, thay vào bắt theo cách bạn mong muốn, AutoCAD lại chọn kiểu snap không đúng? bạn chỉ cần nhấn phím tab chức năng osnap sẽ thay đổi xoay vòng cho đến kiểu bạn muốn thì thôi.

    Mẹo khi dùng fillet
    Một số người khi dùng lệnh fillet, chủ yếu dùng để vát hai đối tượng vào nhau (radius=0). Nên khi đang fillet với một bán kính khác, họ muốn biến radius về 0 thì lại dùng tham số R rồi gõ vào 0. Khi muốn quay trở lại bán kính đang làm thì lại làm lại.Để khắc phục điều này, AutoCAD cho bạn chức năng giữ SHIFT, lệnh fillet sẽ mặc định radius=0, nhả ra thì bán kính fillet lại trở thành bình thường.

    Mẹo bắt trung điểm
    Bạn muốn chỉ định một điểm là trung điểm của 2 điểm khác mà không có đối tượng nào để bắt midpoint? bạn sẽ vẽ một line đi qua 2 điểm đó và chọn midpoint, sau đó lại xóa line này đi?Không đến nỗi phức tạp như thế, khi bạn muốn xác định trung điểm, bạn chỉ cần nhập vào mtp hoặc m2p (middle between 2 point), ACAD sẽ hỏi bạn 2 điểm đầu mút, thế là bạn đã có điểm ở giữa.

    Mẹo hatch
    Để mảng hatch, pline có width dày không che mất các thông tin hatch, dim. Hãy sử dụng lệnh TEXTTOFRONT, lệnh này đưa toàn bộ text và/hoặc dim lên trước các đối tượng khác. Lệnh này bắt đầu có từ ACAD2005.

    Mẹo tạo block
    Nếu bạn muốn tạo một anonymous block (là block không có tên) trong bản vẽ bạn chỉ cần copy các đối tượng mà bạn muốn tạo block bằng cách dùng tổ hợp phím Ctr+C, sau đó dùng lệnh PasteBlock.
    Với block tạo bằng phương pháp này, bạn không cần phải quản lý block (thật ra là không quản lý được). Khi bạn xóa đối tượng này, ACAD tự động Purge các anonymous block ra khỏi block table sau mỗi lần mở file.

    Tham số của Zoom
    Mặc định, tốc độ zoom trong AutoCAD là khá thấp, trong khi bà con nhà ta zoom nhiều hơn vẽ. Mà zoom chậm thì khó chịu. Cho nên dùng lệnh sau đây để tăng tốc tối đa (lệnh này không liên quan đến tăng tốc đồ họa của phần cứng nhỉ )ZOOMFACTOR = 100(100 là maximum rồi )
    Từ AutoCAD 2006 đến 2008 có thêm hiệu ứng, các bạn sẽ biết mình đang zoom từ đâu …. nhưng nếu không có tăng tốc đồ họa, zoom không mượt, hì hì, hiệu ứng này sẽ gây cảm giác khó chịu Vì vậy tốt hơn hết là tắt béng đi, trở lại AutoCAD cũ. Các bạn dùng lệnh sau:VTOPTIONS
    Tắt bỏ hết 2 dòng option ở trên và ok là xong.Chỉ số trên và chỉ số dướiMuốn đánh Text trong Auto cad mà có mũ trên hoặc dưới thì dùng lệnh gì?Ví dụ H2SO4Lệnh MTEXT.

    Bạn muốn

    - dùng để viết chữ trên đầu, bạn cho ký tự mũ (^) vào cuối.- dùng để viết chữ dưới chân, bạn cho ký tự mũ (^) vào đầu đoạn.Sau đó tô xanh đoạn mà bạn muốn viết kèm cả ký tự mũ, rồi nhấn vào phím a/b trên thanh công cụ mtext
  3. admin

    admin Administrator Thành viên BQT

    Những lệnh hay trong Autocad


    1. Đánh số thứ tự trong autocad bằng lệnh Tcount

    Nhiều khi chúng ta cần phải sửa từng text một để điền các số theo thứ tự tăng dần. Chẳng hạn phải điền chuỗi D1, D2, D3, D4,…D1000 theo thứ tự tăng dần của trục Y. nếu sửa bằng tay thì rất lâu. Lệnh Tcount của Express Tool cho phép chúng ta làm điều này.

    Command: tcount

    Chương trình sẽ cho bạn chọn đối tượng

    Select objects: Specify opposite corner: 5 found

    Select objects:

    Chương trình hỏi bạn sắp xếp các đối tượng theo chiều tăng trục x, trục y hay theo thứ tự lúc bạn chọn các đối tượng

    Sort selected objects by [X/Y/Select-order] :

    Chương trình hỏi bạn số đầu tiên mà bạn đánh, số gia mà bạn cho vào. Ví dụ 2,-1 sẽ đánh các số: 2, 1, 0, -1, -2, …

    Specify starting number and increment (Start,increment) <2,-1>:

    Chương trình hỏi bạn cách đánh số vào text: Overwrite – ghi đè luôn vào text, Prefix – viết thêm vào phía trước, Suffix – viết thêm vào phía sau, Find&replace – Thay những cụm từ được chỉ định bằng các text số này.

    Placement of numbers in text [Overwrite/Prefix/Suffix/Find&replace..] < Find&replace>:

    Nếu bạn chọn Find&replace, máy hỏi thêm cụ từ mà bạn muốn chỉ định.

    Enter search string :

    Và cuối cùng chương trình thông báo có bao nhiêu đối tượng text đã được sửa

    5 objects modified.

    2. Để vẽ đường phân giác của 1 góc, bạn làm gì?

    Đơn giản, bạn dùng lệnh XLine, sau đó dùng tham số B (Bisect), pick vào tâm rồi pick vào 2 điểm thuộc 2 cạnh của góc.

    Bạn sẽ vẽ nên một đường thẳng XLine là phân giác của góc vừa rồi.

    3. Chỉ số trên và chỉ số dưới

    Muốn đánh Text trong Autocad mà có mũ trên hoặc dưới thì dùng lệnh gì?

    Ví dụ H2SO4

    Lệnh MTEXT.

    Bạn muốn dùng để viết chữ trên đầu, bạn cho ký tự mũ (^) vào cuối.

    Bạn muốn dùng để viết chữ dưới chân, bạn cho ký tự mũ (^) vào đầu đoạn.

    Sau đó tô xanh đoạn mà bạn muốn viết kèm cả ký tự mũ, rồi nhấn vào phím a/b trên thanh công cụ mtext.

    4. Mẹo tạo block

    Nếu bạn muốn tạo một anonymous block (là block không có tên) trong bản vẽ bạn chỉ cần copy các đối tượng mà bạn muốn tạo block bằng cách dùng tổ hợp phím Ctr+C, sau đó dùng lệnh PasteBlock.

    Với block tạo bằng phương pháp này, bạn không cần phải quản lý block (thật ra là không quản lý được). Khi bạn xóa đối tượng này, ACAD tự động Purge các anonymous block ra khỏi block table sau mỗi lần mở file.

    5. Ký hiệu đặc biệt trong AutoCAD

    Trong ACAD, bạn có thể sử dụng ký tự %% trước một ký tự hoặc một số để có được mã một ký tự đặc biệt. Cụ thể:

    %%xxx là ký tự có mã là xxx. ví dụ %%64 là chữ @.

    %%o là gạch đầu

    %%u là gạch chân

    %%d là ký tự độ (º)

    %%p là ký hiệu cộng trừ (±)

    %%c là ký hiệu phi (đường kính ống)

    %%% là %

    Xóa nét trùng nhau trong bản vẽ AutoCad:

    - Trong bản vẽ AutoCad có rất nhiều trường hợp bạn vẽ các nét trùng lên nhau, điều đó là không cần thiết và làm nặng bản vẽ, khiến máy ì ạch, không những vậy nó còn gây khó khăn khi định dạng in bản vẽ nếu các đường ấy không cùng một layer, vậy làm sao để xóa những nét trùng nhau này, hãy tham khảo 2 cách sau đây giothangmuoi.info nhé:

    Cách 1: Quét chuột vào toàn bộ đối tượng chồng lên nhau rồi giữ “Shift”, tích từng cái vào đối tượng chồng lên nhau khi đến đối tượng cần xoá thì xoá đi, hoặc quét đối tượng và dùng cách: “Ctrl+1″ ở đó có thể chọn từng đối tượng chồng lên nhau.

    Cách 2: Dùng lệnh Overkill của Express Tool => Nhanh, gọn ^^

    Command: overkill

    Select objects:

    Menu: Express Tool => Modify => Delete duplicate objects

    Select objects:

    Tìm trọng tâm của một đối tượng kín, một vùng kín.

    - Nếu đối tượng kín là region (lệnh tắt reg), bạn dùng lệnh massprop sẽ biết được tọa độ Centroid của đối tượng

    - Nếu đối tượng kín chưa là region, hãy dùng lệnh region để convert nó thành region rồi thực hiện bước trên.

    Command: reg

    Select objects:

    Command: massprop

    Sửa lỗi phím Delete không dùng được:

    Trường hợp khi bạn muốn xóa một đối tượng trong Autocad không được thì rất có thể do hiện tại biến pickfirst của bạn đang nhận giá trị “0″, bạn chỉnh lại thành “1″ là ok.

    Command: pickfrst

    Enter new value for pickfirst <0>:1

    Để các dim, text không bị che khuất bởi hatch, pline, solid, wipeout:

    Để mảng Hatch, Pline có Width dày không che mất các thông tin Hatch, Dim bạn làm thế nào?

    Hãy sử dụng lệnh TEXTTOFRONT, lệnh này đưa toàn bộ text và/hoặc dim lên trước các đối tượng khác.

    Vẽ Line vuông góc với một đoạn thẳng xuất phát:

    Giả sử từ điểm A trên đoạn AB bạn muốn vẽ một đoạn thẳng vuông góc với đoạn AB, làm cách nào để thực hiện nhanh nhất? AutoCad cũng có chế độ bắt điểm vuông góc nhưng là ngoài đường AB tới đường AB, không trùng với điểm A được mà phải qua một bước move nữa, có cách nào nhanh hơn không? Bạn tham khảo BKMetalx hai cách sau nhé.

    Cách 1: Dùng lệnh vẽ theo tọa độ tương đối. Theo ví dụ ta làm như sau:

    Line-> chọn diểm A làm First point -> @100<90 (chọn điểm second point theo tọa độ tương đối độc cực với first point A) -> Ok

    Cách 2: Bấm vào Object UCS, click vào đường line (hoặc bất kỳ đối tượng nào, mà mình định vẽ song song hoặc thẳng góc với các yếu tố của nó) -> hệ toạ độ sẽ quay nghiêng như hình vẽ:

    Sau khi vẽ xong bạn bấm vào World UCS -> Gốc tọa độ trở về vị trí cũ.


    Vẽ đường phân giác của 1 góc :

    Để vẽ đường phân giác của 1 góc, bạn làm gì? đơn giản, bạn dùng lệnh XLine, sau đó dùng tham số B (Bisect), pick vào tâm rồi pick vào 2 điểm thuộc 2 cạnh của góc. Bạn sẽ vẽ nên một đường thẳng XLine là phân giác của góc vừa rồi.


    Mẹo bắt trung điểm của 2 điểm không cần line:

    Bạn muốn chỉ định một điểm là trung điểm của 2 điểm khác mà không có đối tượng nào để bắt midpoint? Bạn sẽ vẽ một line đi qua 2 điểm đó và chọn midpoint, sau đó lại xóa line này đi? Không đến nỗi phức tạp như thế, khi bạn muốn xác định trung điểm, bạn chỉ cần nhập vào mtp hoặc m2p (middle between 2 point), chọn 2 điểm đầu và cuối, thế là bạn đã có điểm ở giữa .
  4. admin

    admin Administrator Thành viên BQT

    Lệnh Find:

    a. Công dụng: Tìm và thay đổi nhanh các đối tượng được lựa chọn… Cái này mình hay dùng để sửa khung tên .

    b. Command: Trên Command Line đánh lệnh FIND => Acad sẽ cho ta hộp thoại Find and Replace như sau:
    [​IMG]
    Trên hộp thoại ta chọn Select Objects (Ô vuông có hình con chuột bên phải hộp thoại) => Ta lực chọn toàn bộ “vùng” đối tượng cần quản lý => Sau đó nhấn chuột phải hoặc dấu “cách” để trở lại hộp thoại Find and Replace…=> Trên Find and Replace ta đánh từ khóa mà muốn tìm kiếm hoạc thay đổi (Ví dụ như từ VTB chẳng hạn) ở ô Find text string => Tiếp đó tôi đánh từ khóa mà mình muốn đổi (Đổi ở đây là đổi từ khóa VTB bằng một từ khác…) ở ô bên dưới Replace with…(ở đây mình dùng từ BKMetalx để thay thế từ BK chẳng hạn ^^).

    Khi đã thực hiện xong các bước trên, bạn có một số lựa chọn ở bên dưới… Nếu muốn thay đổi tất cả từ khóa trong bản vẽ mà mình lựa chọn lên sẽ chọn Replace All, còn các bạn không muốn thay đổi hết, mà chỉ muốn thay một vài từ BK trong đó thì có thể bấm Find rồi Replace từng từ mà bạn muốn… Vậy là bạn sẽ thay đổi được tất cả các từ VTB thành BKMetalx trong vô vàn từ khóa chỉ trong vòng 1 phút..


    Lệnh Quick Select:

    a. Công dụng: Tìm nhanh và lựa chọn những đối tượng mà bạn muốn (Lệnh này rất nhiều công dụng khó liệt kê hết được, nói chung anh em thử cái sẽ biết ngay … Theo cá nhân BKMetalx mà nói thì đây là một lệnh cực kì hay đấy ).b. Command : Trên toolbar => Tools => Quick Select (hoạc nhấn Alt => T => K) > xuất hiện hộp thoại Quick Select như sau:


    [​IMG]

    => Cũng như lệnh Find trước tiên là “lựa chọn vùng đối tượng” mà ta cần tìm, bằng cách bấm vào “phím vuông nhỏ” bên phải > lựa chọn vùng miền cần tìm đối tượng > nhấn chuột phải để quay lại hộp thoạt Quick Select=> Tiếp đến, tại ô Object type ta chọn kiểu đối tượng mà cần tìm (ở đây mình chọn đối tượng là Multiple; các bạn cũng có thể tìm với Mtext ; Line ….=> Tại ô Properties bạn chọn một trong những lựa chọn đưa ra (ví dụ: chọn mầu đối tượng cần tìm, chọn layer cần tìm, chọn chiều dày…v..v)Mình chọn Color > để chọn tất cả các đối tượng có Color (mầu sắc) mà mình muốn chọn…=> Giữ nguyên lựa chọn =Equals=> Tại ô Value > bạn có thể chọn mầu sắc cho đối tượng cần tìm=> Bấm OK vậy là ta đã chọn nhanh các đối tượng mà mình muốn(các giá trị khác giữ nguyên, các bạn có thể tìm hiểu thêm những cái đó)=> sau khi đã lựa chọn tất cả các đối tượng có mầu sắc như vậy bạn sẽ làm gì?… Bấm CTRL + 1 => để vào Properties => tha hồ chỉnh sửa đối tượng theo ý bạn nhé ….

    * Một số công dụng của Quick Select:Bạn có thể dung Quick Select để thay đổi một layer mà bạn muốn trong muôn vàn layer trong bản vẽ => rất nhanh phải không?Bạn có thể đổi tất cả mầu sắc một đối tượng trong rất nhiều mầu sắc => rất tiện phải không?Bạn có thể tìm tất cả các Mtext có đọ cao Heigh = 100 để đổi thành 200 => rất thú vị phải không?


    Dấu nháy đơn ” ‘ “

    Dấu nháy đơn ” ‘ ” được dùng kèm với các lệnh khác để tạo hiệu quả cao trong khi vẽ. Một số ví dụ cụ thể như sau:

    1. Dùng dấu nháy đơn kết hợp với lệnh Cal (máy tính).Ứng dụng: Khi bạn đang muốn Offset một đối tượng đi một khoảng cách mà cần phải tính toán bạn làm như sau. Tại dòng Command gõ O => ‘Cal => Expression: gõ công thức ví dụ 2200/3 chẳng hạn; chọn đối tượng cần offset và hướng offset. Kết thúc lệnh đối tượng sẽ được Offset đúng 1 khoảng bằng 2200/3.

    2. Dùng dấu nháy đơn kết hợp với lệnh Pan: Khi bạn đang thực hiện một lệnh bất kỳ bạn muốn kích hoạt lệnh pan mà không làm mất lệnh hiện thời bạn gõ ” ‘Pan ” sẽ hiện ra bàn tay, bạn có thể dịch chuyển màn hình tới điểm cần vẽ rồi gõ Enter kết thúc lệnh Pan và thực hiện tiếp lệnh hiện thời => Rất thú vị cho những bản vẽ lớn nhé .

    Lệnh Filter.

    Đây là một lệnh rất hay, nó bổ trợ rất nhiều cho chúng ta trong quá trình chỉnh sửa bản vẽ. Nó giúp chúng ta lọc các đối tượng cần chọn một cách nhanh nhất.Mình gửi kèm theo một file Cad để hướng dẫn dễ hơn.

    Ứng dụng: Đây là một lệnh dùng bổ trợ cho các lệnh khác. Ví dụ bạn muốn xóa tất cả các đường kích thước chẳng hạn, quy trình làm như sau:Command: Gõ ESelect Objects: Gõ ‘fiTrên màn hình hiển thị màn hình Objects selection


    [​IMG]

    Trong mục Select filter bạn ấn vào nút tam giác và chọn Layer (Vì tất cả nét kích thước được vẽ bằng lớp Kich thuoc).


    [​IMG]

    Sau khi chọn layer bạn nhấn trái chuột vào nút Select, hiển thị lên tên tất cả các lớp đã được khai báo trong bản vẽ. Bạn kéo con trỏ xuống và ấn trái chuột vào Kich thuoc, rồi nhấn Ok.




    [​IMG]



    Quay lai cửa sổ Objects selection, bạn ấn trái chuột vào nút Add to list, sẽ thấy dòng “ Layer = Kich thước ở phía trên (Kết thúc việc chọn đối tượng để lọc).



    [​IMG]


    Tiếp theo đến quá trình lọc đối tượng:

    Bạn ấn trái chuột vào nút Apply ở góc dưới bên phải nó hiện ra một ô vuông còn dưới dòng lệnh hiển thị câu nhắc “>>Select Objects = Chọn đối tượng” Các bạn cần chọn vùng lọc đối tượng. Như hình dưới vùng chọn chính là hình chữ nhật màu trắng. Khi đó tất cả đối tượng có được vẽ bằng lớp Kich thuoc sẽ được chọn.



    [​IMG]


    Dưới dòng lệnh vẫn hiển thị Select Objects: Bạn ấn Enter 2 lần liên tiếp thực hiện lệnh xóa tất cả các đối tượng lớp Kich thuoc.

    Kết quả:



    [​IMG]
    Chỉnh sửa cuối: 1/5/17
  5. admin

    admin Administrator Thành viên BQT

    Lệnh PURGE

    Command : PU

    Công dụng : dùng để lọc bỏ nhưng layer, style không dùng đến làm nhẹ bản vẽ đi rất nhiều , có khi là 1/2 dung lượng bản vẽ, rất tiện để sao chép qua ổ đĩa ( nhẹ hơn thì chép sẽ nhanh hơn ), tăng tốc độ đọc cho máy.


    Lệnh Fillet với R = 0.

    Command: F

    Công dụng: Nối nhanh 2 đường thẳng vuông góc (chưa cắt nhau) và cắt bỏ đi các phần thừa

    Thường trong CAD có hỗ trợ tính toán một số phép tính cơ bản như + – * / bằng cấu trúc lệnh hết sức đơn giản như

    Command : (+ 100 100) –> kết quả xuất ra trên dòng command : 200



    SỬA LỖI KHÔNG THỰC HIỆN ĐƯỢC LỆNH APPLOAD

    Vì một nguyên nhân nào đó, lệnh appload trong AutoCAD không thực hiện được. Bài viết này sẽ hướng dẫn bạn phương pháp khắc phục khi gặp sự cố này.Để khắc phục lỗi này, bạn cần tiến hành theo 2 bước. Đây cũng là phương pháp chung để khắc phục sự cố mất một số lệnh của AutoCAD

    Bước 1: Sử dụng lệnh ARX để kích hoạt lệnh APPLOAD

    Hầu hết các lệnh trong AutoCAD đều ở dưới dạng bổ sung bằng các file dạng ARX. Do đó, khi mất lệnh nào, bạn cũng có thể tìm các file ARX liên quan để tìm lại lệnh đó. Trong trường hợp này, file ARX chúng ta cần phải tìm chính là appload.arx

    Gõ lệnh ARX, các tùy chọn sẽ xuất hiện ở Command Line. Các tùy chọn có thể hơi khác nhau ở các phiên bản, tuy nhiên chúng đều có lựa chọn Load, chúng ta gõ L để thực hiện lựa chọn này.


    [​IMG]



    Cửa sổ xuất hiện cho phép chúng ta chọn File, tìm và chọn file appload.arx


    [​IMG]



    Sau bước này, chúng ta đã có thể thực hiện được lệnh APPLOAD. Tuy nhiên, nếu không tiến hành bước 2, thì lệnh APPLOAD sẽ lại không thực hiện được khi chúng ta khởi động lại AutoCAD. Do đó chúng ta cần điều khiển AutoCAD tự động load file appload.arx, cách làm như ở bước 2


    Bước 2: Thiết lập chế độ tự động load file appload.arx

    Gõ lệnh APPLOAD, cửa sổ Load Application sẽ xuất hiện


    [​IMG]



    Click Contents, cửa sổ Startup Suite xuất hiện


    [​IMG]


    Click Add, tìm và chọn file appload.arx

    Sau bước này, file appload.arx sẽ được load tự động mỗi lần chúng ta khởi động AutoCAD



    Tổng hợp các lệnh cad hữu ích cho việc tính khối lượng dự toán


    Bóc tách khối lượng dự toán trong cadCad và dự toán luôn luôn đi cùng nhau trong việc lập dự toán Xây dựng
    Việc hiểu và nắm rõ Cad là một lợi thế rất lớn trong quá trình lập dự toán. Tiện đây mình xin giới thiệu một số lệnh trong Cad hữu ích cho người lập dự toán

    1. Layon: bật các thuộc tính
    2. Layoff: tắt các thuộc tính
    3. Layiso: chọn các thuộc tính
    Việc sử dụng các lệnh trên sẽ hỗ trợ cho bạn chon và tắt các layer cần thiết để việc xem bản vẽ và thống kê khối lượng được dễ dàng hơn, tránh bị rối trong quá trình tính toán
    4. Lệnh AA:Tính chu vi (perimeter) diện tích ( Area ) của 1 hình có đường biên,Thường tính diện tích sàn trong bản vẽ mặt bằng nhà, tính diện tích trần và diện tích ván khuôn.

    5. Lệnh: FI


    Dùng để thống kê đối tượng trong Cad

    Lệnh FI (viết tắt của filter). trong hộp thoại object selection filters bạn làm các thao tác như sau: select filter chọn block name --> select -->add to list --> apply. Ngoài cửa sổ cad bạn quét vùng chọn --> số lượng được đếm cho ở dòng command


    .

    5. Lệnh : LI
    Liệt kê các dữ kiệu xuất ra text. sau khi dùng lệnh FI hoặc AA ở trên



    6. Tính diện tích 1 đa giác bất kì
    1. Dùng lệnh -bo kích vào hình đa giác (Tại dòng command : nhập pl ,sau đó enter để vẽ đa giác)2. Dùng lệnh Li kích vào đa giác đó...okie xong (Tại dòng command : nhập li , sau đó dùng chuột chọn đối tượng)

    7. FIND: tìm kiếm text
    Nếu các ký hiệu tính toán trong Cad có chứa 1 đoạn text nào đó bạn vào Edit/Find rùi sử dụng chức năng replace all ( để đếm số thiết bị )
    8. Bcount: dùng để đếm các block .

    9. Tool/ Quick select : chon nhanh layer cua block
    10. LS : tính chiều dài Dây dẫn , ống PVC..
  6. bài viết quá hay , chi tiết mình học được nhiều điều từ bài viết
  7. bài viết quá hay , chi tiết mình học được nhiều điều từ bài viết
Tags: autocad, autodesk
căn hộ richmond city